> ## Documentation Index
> Fetch the complete documentation index at: https://docs.igrisecurity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List LLM providers

> Lists the LLM providers the gateway supports. Use a returned `slug` as `llmProvider` when you create an LLM connection.

**Required permission:** any authenticated caller.




## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/llm-providers
openapi: 3.1.0
info:
  title: Igris Management API
  version: '1'
  description: >-
    REST API for managing Igris connections, policies, sessions, audit events
    and alerts.
servers:
  - url: https://api.igrisecurity.com
security:
  - bearerAuth: []
tags:
  - name: Connections
  - name: Policies
  - name: Sessions
  - name: Audit Events
  - name: Incidents
  - name: Webhooks
  - name: API Keys
  - name: Members
  - name: LLM Providers
  - name: LLM Cost
  - name: Observe
paths:
  /api/v1/llm-providers:
    get:
      tags:
        - LLM Providers
      summary: List LLM providers
      description: >
        Lists the LLM providers the gateway supports. Use a returned `slug` as
        `llmProvider` when you create an LLM connection.


        **Required permission:** any authenticated caller.
      operationId: listLlmProviders
      responses:
        '200':
          description: Providers.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        slug:
                          type: string
                        name:
                          type: string
                        baseUrl:
                          type:
                            - string
                            - 'null'
                          description: >-
                            `null` for self-hosted providers, which need
                            `customBaseUrl` on the connection.
                        authStyle:
                          type: string
                          enum:
                            - bearer
                            - x-api-key
                            - query-param
                            - none
                        authHeaderName:
                          type: string
                        authQueryParam:
                          type: string
                        supportedEndpoints:
                          type: array
                          items:
                            type: string
                            enum:
                              - chat.completions
                              - embeddings
                              - images.generate
                              - audio.transcriptions
                              - audio.speech
                              - passthrough
                        modelPrefix:
                          type: string
              example:
                data:
                  - slug: openai
                    name: OpenAI
                    baseUrl: https://api.openai.com/v1
                    authStyle: bearer
                    supportedEndpoints:
                      - chat.completions
                      - embeddings
                      - images.generate
                      - audio.transcriptions
                      - audio.speech
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    Unauthorized:
      description: No valid session or API key, or the key's creator is no longer a member.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Unauthorized
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: ig_...
      description: >-
        An Igris API key. It acts with the current role and permission overrides
        of the member who created it.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.